local fn = _gn(0xA0D3D71EA1086C55)
--- Verifies whether a ped is firing within a specific area.
-- @param minX Minimum X vector
-- @param minY Minimum Y vector
-- @param minZ Minimum Z vector
-- @param maxX Maximum X vector
-- @param maxY Maximum Y vector
-- @param maxZ Maximum Z vector
-- @param bHighlightArea Highlights the area to check when set to `true`.
-- @param bDo3DCheck Conducts a 3D height check when set to `true`.
-- @return `true` if a ped is within the defined area, `false` otherwise.
function Global.IsAnyPedShootingInArea(minX, minY, minZ, maxX, maxY, maxZ, bHighlightArea, bDo3DCheck)
	return fn(minX, minY, minZ, maxX, maxY, maxZ, bHighlightArea, bDo3DCheck, _r)
end
